Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## com.sun.mfwk.cib
Class CIBService

    java.lang.Object
      com.sun.mfwk.cib.CIBObject
          com.sun.mfwk.cib.CIBManagedObject
              com.sun.mfwk.cib.CIBMonitoredObject
                  com.sun.mfwk.cib.CIBService

All Implemented Interfaces:
  CIBManagedObjectIf, CIBManagedObjectMBean, CIBMonitoredObjectIf, CIBMonitoredObjectMBean, CIBObjectMBean, CIBServiceIf, CIBServiceMBean, javax.management.MBeanRegistration, javax.management.NotificationBroadcaster, javax.management.NotificationEmitter

public class CIBService
extends CIBMonitoredObject
implements CIBServiceMBean, CIBServiceIf

Default implementation of a CIB Service MBean.

Field Summary

Fields inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`ModelVersion`

Constructor Summary
`CIBService()`
`CIBService(java.lang.String theUri)`

Method Summary
`void` | `addCIBExternalResource(javax.management.ObjectName objectName)` addCIBExternalResource
`void` | `addCIBResource(javax.management.ObjectName objectName)` addCIBResource
`javax.management.ObjectName` | `getApplication()` Returns the name of the Related JesApplication : JesApplication.getApplicationName()
`long` | `getAvailabilityStatusDegradedTime()` Returns the time the first time the object entered into the degraded state
`long` | `getAvailabilityStatusLastChange()` Get the time when the availability status last changed
`int` | `getAvailabilityStatusState()` Get the Availability State of the Monitored object
`javax.management.ObjectName` | `getExternalResourceByUri(java.lang.String uri)` getExternalResourceByUri
`javax.management.ObjectName[]` | `getExternalResources()` getExternalResources
`javax.management.openmbean.CompositeData` | `getOpenStatistic(java.lang.String name)` Gets a CIB Statistic as a standard serializable JMX Open Type
`javax.management.openmbean.CompositeData[]` | `getOpenStatistics(java.lang.String[] names)` Gets all CIBStatistics encoded as serializable JMX Open Types.
`javax.management.openmbean.CompositeData` | `getOpenStats()` Gets a CIBStats object encoded as a standard serializable JMX Open Type
`long` | `getOperationalStatusLastChange()` Get the time when the operational status last changed
`long` | `getOperationalStatusStartTime()` Get the time when the Operational status entered into the running state
`int` | `getOperationalStatusState()` Get the Operational MfStatus of the monitored object
`javax.management.ObjectName[]` | `getResources()` Returns the name of each related CIBRessources
`java.lang.String[]` | `getStatisticNames()` Gets all available statistic names
`javax.management.j2ee.statistics.Stats` | `getStats()` Returns the Stats object provided by the CIBProviderHandler Gets a CIBStats object for all available statistics.
`java.lang.String` | `getUri()` Provides the service name identified by its URI
`void` | `removeCIBExternalResource(javax.management.ObjectName objectName)` removeCIBExternalResource
`void` | `removeCIBResource(javax.management.ObjectName objectName)` removeCIBResource
`void` | `setCIBApplication(javax.management.ObjectName objectName)` Allows to set the application object Name to which the CIBService is running
`void` | `setStateProvider(boolean val)` enables/disable the generation of performance statistics data in the supplier application.
`void` | `setStatisticProvider(boolean val)` disables the generation of performance statistics data in the supplier application.
`void` | `setUri(java.lang.String theUri)` Set the Uri of the Service

Methods inherited from class com.sun.mfwk.cib.CIBMonitoredObject
`getCIBProviderHandler, isStateProvider, isStatisticProvider, setCIBProviderHandler`

Methods inherited from class com.sun.mfwk.cib.CIBManagedObject
`addNotificationListener, getDescription, getJ2eeSibling, getNotificationInfo, isEventProvider, removeNotificationListener, removeNotificationListener, setDescription, setEventProvider, setJ2eeSibling`

Methods inherited from class com.sun.mfwk.cib.CIBObject
`getModelVersion, getName, getType, postDeregister, postRegister, preDeregister, preRegister`

Methods inherited from class java.lang.Object
`equals, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectMBean
`isStateProvider, isStatisticProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectMBean
`getDescription, isEventProvider, setEventProvider`

Methods inherited from interface com.sun.mfwk.cib.CIBObjectMBean
`getModelVersion, getName, getType`

Methods inherited from interface com.sun.mfwk.cib.CIBMonitoredObjectIf
`getCIBProviderHandler, setCIBProviderHandler`

Methods inherited from interface com.sun.mfwk.cib.CIBManagedObjectIf
`setDescription`

Constructor Detail

### CIBService

    public CIBService()

### CIBService

    public CIBService(java.lang.String theUri)

Method Detail

### setStateProvider

    public void setStateProvider(boolean val)
                          throws CIBException

  Description copied from interface: `CIBMonitoredObjectMBean`
  enables/disable the generation of performance statistics data in the supplier application. This operation has no effect if the statisticsProvider attribute is false.

  Specified by:
    `setStateProvider` in interface `CIBMonitoredObjectMBean`
  Overrides:
    `setStateProvider` in class `CIBMonitoredObject`
  Parameters:
    `val` - boolean
  Throws:
    `CIBException`

### setStatisticProvider

    public void setStatisticProvider(boolean val)
                              throws CIBException

  Description copied from interface: `CIBMonitoredObjectMBean`
  disables the generation of performance statistics data in the supplier application. The effect of invoking that operation should be a near zero data generation overhead in the supplier application. This operation has no effect if the statisticsProvider attribute is false.

  Specified by:
    `setStatisticProvider` in interface `CIBMonitoredObjectMBean`
  Overrides:
    `setStatisticProvider` in class `CIBMonitoredObject`
  Parameters:
    `val` - boolean
  Throws:
    `CIBException`

### setCIBApplication

    public void setCIBApplication(javax.management.ObjectName objectName)

  Allows to set the application object Name to which the CIBService is running

  Specified by:
    `setCIBApplication` in interface `CIBServiceIf`
  Parameters:
    `objectName` - ObjectName

### getUri

    public java.lang.String getUri()
                            throws javax.management.InvalidAttributeValueException

  Provides the service name identified by its URI

  Specified by:
    `getUri` in interface `CIBServiceMBean`
  Returns:
    String
  Throws:
    `javax.management.InvalidAttributeValueException`

### setUri

    public void setUri(java.lang.String theUri)

  Set the Uri of the Service

  Specified by:
    `setUri` in interface `CIBServiceIf`
  Parameters:
    `theUri` - String

### getApplication

    public javax.management.ObjectName getApplication()
                                               throws javax.management.InvalidAttributeValueException

  Returns the name of the Related JesApplication : JesApplication.getApplicationName()

  Specified by:
    `getApplication` in interface `CIBServiceMBean`
  Returns:
    ObjectName
  Throws:
    `javax.management.InvalidAttributeValueException`

### getResources

    public javax.management.ObjectName[] getResources()

  Description copied from interface: `CIBServiceMBean`
  Returns the name of each related CIBRessources

  Specified by:
    `getResources` in interface `CIBServiceMBean`
  Returns:
    ObjectName[]

### addCIBResource

    public void addCIBResource(javax.management.ObjectName objectName)

  addCIBResource

  Specified by:
    `addCIBResource` in interface `CIBServiceIf`
  Parameters:
    `objectName` - ObjectName

### removeCIBResource

    public void removeCIBResource(javax.management.ObjectName objectName)
                           throws CIBException

  removeCIBResource

  Specified by:
    `removeCIBResource` in interface `CIBServiceIf`
  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### addCIBExternalResource

    public void addCIBExternalResource(javax.management.ObjectName objectName)

  addCIBExternalResource

  Specified by:
    `addCIBExternalResource` in interface `CIBServiceIf`
  Parameters:
    `objectName` - ObjectName

### removeCIBExternalResource

    public void removeCIBExternalResource(javax.management.ObjectName objectName)
                                   throws CIBException

  removeCIBExternalResource

  Specified by:
    `removeCIBExternalResource` in interface `CIBServiceIf`
  Parameters:
    `objectName` - ObjectName
  Throws:
    `CIBException`

### getExternalResources

    public javax.management.ObjectName[] getExternalResources()

  getExternalResources

  Specified by:
    `getExternalResources` in interface `CIBServiceMBean`
  Returns:
    ObjectName[]

### getExternalResourceByUri

    public javax.management.ObjectName getExternalResourceByUri(java.lang.String uri)
                                                         throws CIBException

  getExternalResourceByUri

  Specified by:
    `getExternalResourceByUri` in interface `CIBServiceMBean`
  Parameters:
    `uri` - String
  Returns:
    ObjectName
  Throws:
    `CIBException`

### getStats

    public javax.management.j2ee.statistics.Stats getStats()
                                                    throws CIBException

  Returns the Stats object provided by the CIBProviderHandler Gets a CIBStats object for all available statistics.

  Specified by:
    `getStats` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getStats` in class `CIBMonitoredObject`
  Returns:
    Stats
  Throws:
    `CIBException`

### getOpenStatistic

    public javax.management.openmbean.CompositeData getOpenStatistic(java.lang.String name)
                                                              throws CIBAttributeNotFoundException,
                                                                     CIBException

  Gets a CIB Statistic as a standard serializable JMX Open Type

  Specified by:
    `getOpenStatistic` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStatistic` in class `CIBMonitoredObject`
  Parameters:
    `name` - String
  Returns:
    CompositeData
  Throws:
    `CIBAttributeNotFoundException`
    `CIBException`

### getOpenStatistics

    public javax.management.openmbean.CompositeData[] getOpenStatistics(java.lang.String[] names)
                                                                 throws CIBException

  Gets all CIBStatistics encoded as serializable JMX Open Types. If no statistics is found null is returned.

  Specified by:
    `getOpenStatistics` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStatistics` in class `CIBMonitoredObject`
  Parameters:
    `names` - String[]
  Returns:
    CompositeData[]
  Throws:
    `CIBException`

### getOpenStats

    public javax.management.openmbean.CompositeData getOpenStats()
                                                          throws CIBException

  Gets a CIBStats object encoded as a standard serializable JMX Open Type

  Specified by:
    `getOpenStats` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getOpenStats` in class `CIBMonitoredObject`
  Returns:
    javax.management.openmbean.CompositeData
  Throws:
    `CIBException`

### getStatisticNames

    public java.lang.String[] getStatisticNames()
                                         throws CIBException

  Gets all available statistic names

  Specified by:
    `getStatisticNames` in interface `CIBMonitoredObjectMBean`
  Specified by:
    `getStatisticNames` in class `CIBMonitoredObject`
  Returns:
    String[]
  Throws:
    `CIBException`

### getOperationalStatusState

    public int getOperationalStatusState()
                                  throws CIBException

  Get the Operational MfStatus of the monitored object

  Specified by:
    `getOperationalStatusState` in interface `CIBMonitoredObjectMBean`
  Returns:
    int
  Throws:
    `CIBException`

### getOperationalStatusLastChange

    public long getOperationalStatusLastChange()
                                        throws CIBException

  Get the time when the operational status last changed

  Specified by:
    `getOperationalStatusLastChange` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getOperationalStatusStartTime

    public long getOperationalStatusStartTime()
                                       throws CIBException

  Get the time when the Operational status entered into the running state

  Specified by:
    `getOperationalStatusStartTime` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getAvailabilityStatusState

    public int getAvailabilityStatusState()
                                   throws CIBException

  Get the Availability State of the Monitored object

  Specified by:
    `getAvailabilityStatusState` in interface `CIBMonitoredObjectMBean`
  Returns:
    int
  Throws:
    `CIBException`

### getAvailabilityStatusLastChange

    public long getAvailabilityStatusLastChange()
                                         throws CIBException

  Get the time when the availability status last changed

  Specified by:
    `getAvailabilityStatusLastChange` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

### getAvailabilityStatusDegradedTime

    public long getAvailabilityStatusDegradedTime()
                                           throws CIBException

  Returns the time the first time the object entered into the degraded state

  Specified by:
    `getAvailabilityStatusDegradedTime` in interface `CIBMonitoredObjectMBean`
  Returns:
    long
  Throws:
    `CIBException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD